XmlDefinitionsSet (Struts Tiles 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles.xmlDefinition
Class XmlDefinitionsSet

    java.lang.Object
      org.apache.struts.tiles.xmlDefinition.XmlDefinitionsSet

    public class XmlDefinitionsSet

extends Object

A set of definitions read from XML definitions file.

Field Summary
`protected Map` | `definitions` Defined definitions.

Constructor Summary
`XmlDefinitionsSet()` Constructor.

Method Summary
`void` | `extend(XmlDefinitionsSet child)` Add definitions from specified child definitions set.
`XmlDefinition` | `getDefinition(String name)` Get requested definition.
`Map` | `getDefinitions()` Get definitions map.
`void` | `putDefinition(XmlDefinition definition)` Put definition in set.
`void` | `resolveInheritances()` Resolve extended instances.
`String` | `toString()` Get String representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### definitions

    protected Map definitions

  Defined definitions.

Constructor Detail

### XmlDefinitionsSet

    public XmlDefinitionsSet()

  Constructor.

Method Detail

### putDefinition

    public void putDefinition(XmlDefinition definition)

  Put definition in set.

  Parameters:
    `definition` - Definition to add.

### getDefinition

    public XmlDefinition getDefinition(String name)

  Get requested definition.

  Parameters:
    `name` - Definition name.

### getDefinitions

    public Map getDefinitions()

  Get definitions map.

### resolveInheritances

    public void resolveInheritances()
                             throws NoSuchDefinitionException

  Resolve extended instances.

  Throws:
    `NoSuchDefinitionException`

### extend

    public void extend(XmlDefinitionsSet child)

  Add definitions from specified child definitions set. For each definition in child, look if it already exists in this set. If not, add it, if yes, overload parent's definition with child definition.

  Parameters:
    `child` - Definition used to overload this object.

### toString

    public String toString()

  Get String representation.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.